def encode(msgpic,original):
  # Assume msgpic and original have same dimensions
  # First, make all red pixels even in original
  for px in getPixels(original):
    # Using modulo operator to test oddness
    if (getRed(px) % 2) == 1:
      setRed(px, getRed(px) - 1)
  # Second, wherever there's black in msgpic
  # make odd the red in the corresponding original pixel
  for x in range(0,getWidth(original)):
    for y in range(0,getHeight(original)):
      msgPx = getPixel(msgpic,x,y)
      origPx = getPixel(original,x,y)
      if (distance(getColor(msgPx),black) < 10.0):
        # It's a message pixel! Increase red in original
        setRed(origPx, getRed(origPx)+1)
  #Message is now in original. Be sure to save as .png or .bmp!

def decode(encodeImg):
  # Takes in an encoded image. Return the original message
  message = makeEmptyPicture(getWidth(encodeImg),getHeight(encodeImg))
  for x in range(0,getWidth(encodeImg)):
    for y in range(0,getHeight(encodeImg)):
      encPx = getPixel(encodeImg,x,y)
      msgPx = getPixel(message,x,y)
      if (getRed(encPx) % 2) == 1:
        setColor(msgPx,black)
  return message

